# Uses of Enum Class
javafx.scene.control.ScrollPane.ScrollBarPolicy

Packages that use ScrollPane.ScrollBarPolicy
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of ScrollPane.ScrollBarPolicy in javafx.scene.control

Methods in javafx.scene.control that return ScrollPane.ScrollBarPolicy
Modifier and Type
Method
Description
`final ScrollPane.ScrollBarPolicy`
ScrollPane.`getHbarPolicy()`
Gets the value of the `hbarPolicy` property.
`final ScrollPane.ScrollBarPolicy`
ScrollPane.`getVbarPolicy()`
Gets the value of the `vbarPolicy` property.
`static ScrollPane.ScrollBarPolicy`
ScrollPane.ScrollBarPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScrollPane.ScrollBarPolicy[]`
ScrollPane.ScrollBarPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type ScrollPane.ScrollBarPolicy
Modifier and Type
Method
Description
`final ObjectProperty<ScrollPane.ScrollBarPolicy>`
ScrollPane.`hbarPolicyProperty()`
Specifies the policy for showing the horizontal scroll bar.
`final ObjectProperty<ScrollPane.ScrollBarPolicy>`
ScrollPane.`vbarPolicyProperty()`
Specifies the policy for showing the vertical scroll bar.
Methods in javafx.scene.control with parameters of type ScrollPane.ScrollBarPolicy
Modifier and Type
Method
Description
`final void`
ScrollPane.`setHbarPolicy(ScrollPane.ScrollBarPolicy value)`
Sets the value of the `hbarPolicy` property.
`final void`
ScrollPane.`setVbarPolicy(ScrollPane.ScrollBarPolicy value)`
Sets the value of the `vbarPolicy` property.